// Copyright (C) 2004-2009 Christoph Kubisch & Eike Decker
// This file is part of the "Luxinia Engine".
// For conditions of distribution and use, see copyright notice in luxiniapublicsdk.txt

#ifndef __MA_H__
#define __MA_H__

#include "../exmodelout.h"

class EXAnimOutputMA : public EXAnimOutput
{
public:
	booln	Export(EXAnimPTR ianim, std::ostream &outstream);

private:
	booln	WriteHeader(std::ostream &outstream,EXAnimPTR ianim);
	booln	WriteTrack(std::ostream &outstream,EXTrackPTR itrack);
};

extern EXAnimOutputMA g_EXOutMA;


#endif
